<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:42:27 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
Uses of Interface org.apache.http.nio.reactor.ssl.SSLSetupHandler (HttpComponents Core 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Interface org.apache.http.nio.reactor.ssl.SSLSetupHandler (HttpComponents Core 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html?org/apache/http/nio/reactor/ssl//class-useSSLSetupHandler.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SSLSetupHandler.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>org.apache.http.nio.reactor.ssl.SSLSetupHandler</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.impl.nio"><B>org.apache.http.impl.nio</B></A></TD>
<TD>Default implementations for interfaces in
<A HREF="../../../../../../../org/apache/http/package-summary.html"><CODE>org.apache.http.nio</CODE></A>.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.impl.nio.pool"><B>org.apache.http.impl.nio.pool</B></A></TD>
<TD>Basic implementations for interfaces in
<A HREF="../../../../../../../org/apache/http/nio/pool/package-summary.html"><CODE>org.apache.http.nio.pool</CODE></A>.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.nio.reactor.ssl"><B>org.apache.http.nio.reactor.ssl</B></A></TD>
<TD>Non-blocking TLS/SSL session implementation.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.impl.nio"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A> in <A HREF="../../../../../../../org/apache/http/impl/nio/package-summary.html">org.apache.http.impl.nio</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../../org/apache/http/impl/nio/package-summary.html">org.apache.http.impl.nio</A> with parameters of type <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLIOSession.html" title="class in org.apache.http.nio.reactor.ssl">SSLIOSession</A></CODE></FONT></TD>
<TD><CODE><B>SSLNHttpServerConnectionFactory.</B><B><A HREF="../../../../../../../org/apache/http/impl/nio/SSLNHttpServerConnectionFactory.html#createSSLIOSession(org.apache.http.nio.reactor.IOSession, javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler)">createSSLIOSession</A></B>(<A HREF="../../../../../../../org/apache/http/nio/reactor/IOSession.html" title="interface in org.apache.http.nio.reactor">IOSession</A>&nbsp;iosession,
                   <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                   <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLIOSession.html" title="class in org.apache.http.nio.reactor.ssl">SSLIOSession</A></CODE></FONT></TD>
<TD><CODE><B>SSLNHttpClientConnectionFactory.</B><B><A HREF="../../../../../../../org/apache/http/impl/nio/SSLNHttpClientConnectionFactory.html#createSSLIOSession(org.apache.http.nio.reactor.IOSession, javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler)">createSSLIOSession</A></B>(<A HREF="../../../../../../../org/apache/http/nio/reactor/IOSession.html" title="interface in org.apache.http.nio.reactor">IOSession</A>&nbsp;iosession,
                   <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                   <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../../../org/apache/http/impl/nio/package-summary.html">org.apache.http.impl.nio</A> with parameters of type <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.config.ConnectionConfig)">DefaultHttpClientIODispatch</A></B>(<A HREF="../../../../../../../org/apache/http/nio/NHttpClientEventHandler.html" title="interface in org.apache.http.nio">NHttpClientEventHandler</A>&nbsp;handler,
                            <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                            <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler,
                            <A HREF="../../../../../../../org/apache/http/config/ConnectionConfig.html" title="class in org.apache.http.config">ConnectionConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.params.HttpParams)">DefaultHttpClientIODispatch</A></B>(<A HREF="../../../../../../../org/apache/http/nio/NHttpClientEventHandler.html" title="interface in org.apache.http.nio">NHttpClientEventHandler</A>&nbsp;handler,
                            <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                            <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler,
                            <A HREF="../../../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.3) use <A HREF="../../../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.config.ConnectionConfig)"><CODE>DefaultHttpClientIODispatch.DefaultHttpClientIODispatch(
  NHttpClientEventHandler, SSLContext, SSLSetupHandler, ConnectionConfig)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/apache/http/impl/nio/DefaultHttpServerIODispatch.html#DefaultHttpServerIODispatch(org.apache.http.nio.NHttpServerEventHandler, javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.config.ConnectionConfig)">DefaultHttpServerIODispatch</A></B>(<A HREF="../../../../../../../org/apache/http/nio/NHttpServerEventHandler.html" title="interface in org.apache.http.nio">NHttpServerEventHandler</A>&nbsp;handler,
                            <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                            <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler,
                            <A HREF="../../../../../../../org/apache/http/config/ConnectionConfig.html" title="class in org.apache.http.config">ConnectionConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/apache/http/impl/nio/DefaultHttpServerIODispatch.html#DefaultHttpServerIODispatch(org.apache.http.nio.NHttpServerEventHandler, javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.params.HttpParams)">DefaultHttpServerIODispatch</A></B>(<A HREF="../../../../../../../org/apache/http/nio/NHttpServerEventHandler.html" title="interface in org.apache.http.nio">NHttpServerEventHandler</A>&nbsp;handler,
                            <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                            <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler,
                            <A HREF="../../../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.3) use <A HREF="../../../../../../../org/apache/http/impl/nio/DefaultHttpServerIODispatch.html#DefaultHttpServerIODispatch(org.apache.http.nio.NHttpServerEventHandler, javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.config.ConnectionConfig)"><CODE>DefaultHttpServerIODispatch.DefaultHttpServerIODispatch(
   NHttpServerEventHandler, SSLContext, SSLSetupHandler, ConnectionConfig)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/apache/http/impl/nio/SSLNHttpClientConnectionFactory.html#SSLNHttpClientConnectionFactory(javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.config.ConnectionConfig)">SSLNHttpClientConnectionFactory</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                                <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler,
                                <A HREF="../../../../../../../org/apache/http/config/ConnectionConfig.html" title="class in org.apache.http.config">ConnectionConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/apache/http/impl/nio/SSLNHttpClientConnectionFactory.html#SSLNHttpClientConnectionFactory(javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.params.HttpParams)">SSLNHttpClientConnectionFactory</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                                <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler,
                                <A HREF="../../../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.3) use <A HREF="../../../../../../../org/apache/http/impl/nio/SSLNHttpClientConnectionFactory.html#SSLNHttpClientConnectionFactory(javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.config.ConnectionConfig)"><CODE>SSLNHttpClientConnectionFactory.SSLNHttpClientConnectionFactory(SSLContext,
     SSLSetupHandler, ConnectionConfig)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/apache/http/impl/nio/SSLNHttpClientConnectionFactory.html#SSLNHttpClientConnectionFactory(javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.HttpResponseFactory, org.apache.http.nio.util.ByteBufferAllocator, org.apache.http.config.ConnectionConfig)">SSLNHttpClientConnectionFactory</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                                <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler,
                                <A HREF="../../../../../../../org/apache/http/HttpResponseFactory.html" title="interface in org.apache.http">HttpResponseFactory</A>&nbsp;responseFactory,
                                <A HREF="../../../../../../../org/apache/http/nio/util/ByteBufferAllocator.html" title="interface in org.apache.http.nio.util">ByteBufferAllocator</A>&nbsp;allocator,
                                <A HREF="../../../../../../../org/apache/http/config/ConnectionConfig.html" title="class in org.apache.http.config">ConnectionConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/apache/http/impl/nio/SSLNHttpClientConnectionFactory.html#SSLNHttpClientConnectionFactory(javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.HttpResponseFactory, org.apache.http.nio.util.ByteBufferAllocator, org.apache.http.params.HttpParams)">SSLNHttpClientConnectionFactory</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                                <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler,
                                <A HREF="../../../../../../../org/apache/http/HttpResponseFactory.html" title="interface in org.apache.http">HttpResponseFactory</A>&nbsp;responseFactory,
                                <A HREF="../../../../../../../org/apache/http/nio/util/ByteBufferAllocator.html" title="interface in org.apache.http.nio.util">ByteBufferAllocator</A>&nbsp;allocator,
                                <A HREF="../../../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.3) use <A HREF="../../../../../../../org/apache/http/impl/nio/SSLNHttpClientConnectionFactory.html#SSLNHttpClientConnectionFactory(javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.HttpResponseFactory, org.apache.http.nio.util.ByteBufferAllocator, org.apache.http.config.ConnectionConfig)"><CODE>SSLNHttpClientConnectionFactory.SSLNHttpClientConnectionFactory(SSLContext,
     SSLSetupHandler, HttpResponseFactory, ByteBufferAllocator, ConnectionConfig)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/apache/http/impl/nio/SSLNHttpServerConnectionFactory.html#SSLNHttpServerConnectionFactory(javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.config.ConnectionConfig)">SSLNHttpServerConnectionFactory</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                                <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler,
                                <A HREF="../../../../../../../org/apache/http/config/ConnectionConfig.html" title="class in org.apache.http.config">ConnectionConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/apache/http/impl/nio/SSLNHttpServerConnectionFactory.html#SSLNHttpServerConnectionFactory(javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.params.HttpParams)">SSLNHttpServerConnectionFactory</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                                <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler,
                                <A HREF="../../../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.3) use <A HREF="../../../../../../../org/apache/http/impl/nio/SSLNHttpServerConnectionFactory.html#SSLNHttpServerConnectionFactory(javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.config.ConnectionConfig)"><CODE>SSLNHttpServerConnectionFactory.SSLNHttpServerConnectionFactory(SSLContext,
     SSLSetupHandler, ConnectionConfig)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/apache/http/impl/nio/SSLNHttpServerConnectionFactory.html#SSLNHttpServerConnectionFactory(javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.HttpRequestFactory, org.apache.http.nio.util.ByteBufferAllocator, org.apache.http.config.ConnectionConfig)">SSLNHttpServerConnectionFactory</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                                <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler,
                                <A HREF="../../../../../../../org/apache/http/HttpRequestFactory.html" title="interface in org.apache.http">HttpRequestFactory</A>&nbsp;requestFactory,
                                <A HREF="../../../../../../../org/apache/http/nio/util/ByteBufferAllocator.html" title="interface in org.apache.http.nio.util">ByteBufferAllocator</A>&nbsp;allocator,
                                <A HREF="../../../../../../../org/apache/http/config/ConnectionConfig.html" title="class in org.apache.http.config">ConnectionConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/apache/http/impl/nio/SSLNHttpServerConnectionFactory.html#SSLNHttpServerConnectionFactory(javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.HttpRequestFactory, org.apache.http.nio.util.ByteBufferAllocator, org.apache.http.params.HttpParams)">SSLNHttpServerConnectionFactory</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                                <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler,
                                <A HREF="../../../../../../../org/apache/http/HttpRequestFactory.html" title="interface in org.apache.http">HttpRequestFactory</A>&nbsp;requestFactory,
                                <A HREF="../../../../../../../org/apache/http/nio/util/ByteBufferAllocator.html" title="interface in org.apache.http.nio.util">ByteBufferAllocator</A>&nbsp;allocator,
                                <A HREF="../../../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.3) use <A HREF="../../../../../../../org/apache/http/impl/nio/SSLNHttpServerConnectionFactory.html#SSLNHttpServerConnectionFactory(javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.HttpRequestFactory, org.apache.http.nio.util.ByteBufferAllocator, org.apache.http.config.ConnectionConfig)"><CODE>SSLNHttpServerConnectionFactory.SSLNHttpServerConnectionFactory(SSLContext,
     SSLSetupHandler, HttpRequestFactory, ByteBufferAllocator, ConnectionConfig)</CODE></A></I></TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.impl.nio.pool"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A> in <A HREF="../../../../../../../org/apache/http/impl/nio/pool/package-summary.html">org.apache.http.impl.nio.pool</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../../../org/apache/http/impl/nio/pool/package-summary.html">org.apache.http.impl.nio.pool</A> with parameters of type <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/apache/http/impl/nio/pool/BasicNIOConnFactory.html#BasicNIOConnFactory(javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.config.ConnectionConfig)">BasicNIOConnFactory</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                    <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler,
                    <A HREF="../../../../../../../org/apache/http/config/ConnectionConfig.html" title="class in org.apache.http.config">ConnectionConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/apache/http/impl/nio/pool/BasicNIOConnFactory.html#BasicNIOConnFactory(javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.params.HttpParams)">BasicNIOConnFactory</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                    <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler,
                    <A HREF="../../../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.3) use <A HREF="../../../../../../../org/apache/http/impl/nio/pool/BasicNIOConnFactory.html#BasicNIOConnFactory(javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.config.ConnectionConfig)"><CODE>BasicNIOConnFactory.BasicNIOConnFactory(SSLContext,
   SSLSetupHandler, ConnectionConfig)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/apache/http/impl/nio/pool/BasicNIOConnFactory.html#BasicNIOConnFactory(javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.HttpResponseFactory, org.apache.http.nio.util.ByteBufferAllocator, org.apache.http.config.ConnectionConfig)">BasicNIOConnFactory</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                    <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler,
                    <A HREF="../../../../../../../org/apache/http/HttpResponseFactory.html" title="interface in org.apache.http">HttpResponseFactory</A>&nbsp;responseFactory,
                    <A HREF="../../../../../../../org/apache/http/nio/util/ByteBufferAllocator.html" title="interface in org.apache.http.nio.util">ByteBufferAllocator</A>&nbsp;allocator,
                    <A HREF="../../../../../../../org/apache/http/config/ConnectionConfig.html" title="class in org.apache.http.config">ConnectionConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/apache/http/impl/nio/pool/BasicNIOConnFactory.html#BasicNIOConnFactory(javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.HttpResponseFactory, org.apache.http.nio.util.ByteBufferAllocator, org.apache.http.params.HttpParams)">BasicNIOConnFactory</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                    <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler,
                    <A HREF="../../../../../../../org/apache/http/HttpResponseFactory.html" title="interface in org.apache.http">HttpResponseFactory</A>&nbsp;responseFactory,
                    <A HREF="../../../../../../../org/apache/http/nio/util/ByteBufferAllocator.html" title="interface in org.apache.http.nio.util">ByteBufferAllocator</A>&nbsp;allocator,
                    <A HREF="../../../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.3) use <A HREF="../../../../../../../org/apache/http/impl/nio/pool/BasicNIOConnFactory.html#BasicNIOConnFactory(javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.HttpResponseFactory, org.apache.http.nio.util.ByteBufferAllocator, org.apache.http.config.ConnectionConfig)"><CODE>BasicNIOConnFactory.BasicNIOConnFactory(SSLContext,
   SSLSetupHandler, HttpResponseFactory, ByteBufferAllocator, ConnectionConfig)</CODE></A></I></TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.nio.reactor.ssl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A> in <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/package-summary.html">org.apache.http.nio.reactor.ssl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/package-summary.html">org.apache.http.nio.reactor.ssl</A> that return <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A></CODE></FONT></TD>
<TD><CODE><B>SSLIOSession.</B><B><A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLIOSession.html#getSSLSetupHandler()">getSSLSetupHandler</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/package-summary.html">org.apache.http.nio.reactor.ssl</A> with parameters of type <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLIOSession.html#SSLIOSession(org.apache.http.nio.reactor.IOSession, org.apache.http.nio.reactor.ssl.SSLMode, javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler)">SSLIOSession</A></B>(<A HREF="../../../../../../../org/apache/http/nio/reactor/IOSession.html" title="interface in org.apache.http.nio.reactor">IOSession</A>&nbsp;session,
             <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLMode.html" title="enum in org.apache.http.nio.reactor.ssl">SSLMode</A>&nbsp;defaultMode,
             <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslContext,
             <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;handler)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates new instance of <tt>SSLIOSession</tt> class.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html?org/apache/http/nio/reactor/ssl//class-useSSLSetupHandler.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SSLSetupHandler.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
